ChangeSet 1.1500.2.178, 2004/02/09 12:17:18-08:00, stern@rowland.harvard.edu

[PATCH] USB: fix unneeded SubClass entry in unusual_devs.h

On Sat, 7 Feb 2004, Brendan Arthurs wrote:

> I'm getting the following message when I power on my USB external
> enclosure (a MAP-K51U) with a Maxtor IDE hard drive in it. I'm running
> kernel 2.6.2. Hope this is of some use to you.
>
> Feb  7 11:03:13 europa kernel: hub 4-0:1.0: new USB device on port 2,
> assigned address 2
> Feb  7 11:03:13 europa kernel: usb 4-2: Product: USB Mass Storage
> Device
> Feb  7 11:03:13 europa kernel: usb 4-2: Manufacturer: Genesyslogic
> Feb  7 11:03:13 europa kernel: usb-storage: This device
> (05e3,0701,0002 S 06 P 50) has an unneeded SubClass entry in
> unusual_devs.h
> Feb  7 11:03:13 europa kernel:    Please send a copy of this message
> to <linux-usb-devel@lists.sourceforge.net>

Thank you for sending this in.  Here's a patch to take care of it.
Alexander, does this work for you?


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon Feb  9 14:35:38 2004
+++ b/drivers/usb/storage/unusual_devs.h	Mon Feb  9 14:35:38 2004
@@ -377,7 +377,7 @@
 UNUSUAL_DEV(  0x05e3, 0x0701, 0x0000, 0xffff, 
 		"", 
 		"USB TO IDE",
-		US_SC_SCSI, US_PR_DEVICE, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_MODE_XLATE ), 
 
 /* Reported by Peter Marks <peter.marks@turner.com>
